%define module Array-RefElem
%define version 0.02
%define release 1mdk
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: MandrakeSoft
Distribution: Linux-Mandrake

Summary: %{module} module for perl
Name: perl-%{module}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Perl
Source0: %{module}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.600

%description
%{module} module for perl

This module is needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} 
%make CC='cc -DENGLISH' OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT%{mandir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%files -f %{module}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.02-1mdk
- First Mandrake release
- Needed for eGrail
